curl --request POST \
--url https://api.opal.dev/v1/requests/{id}/cancel \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.opal.dev/v1/requests/{id}/cancel"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.opal.dev/v1/requests/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "7c86c85d-0651-43e2-a748-d69d658418e8",
"created_at": "2021-01-06T20:00:00.000Z",
"updated_at": "2021-01-06T20:00:00.000Z",
"requester_id": "c86c85d-0651-43e2-a748-d69d658418e8",
"target_user_id": "r86c85d-0651-43e2-a748-d69d658418e8",
"target_group_id": "r86c85d-0651-43e2-a748-d69d658418e8",
"status": "pending",
"reason": "I need this resource.",
"duration_minutes": 1440,
"request_comments": [
{
"id": "7c86c85d-0651-43e2-a748-d69d658418e8",
"created_at": "2021-01-06T20:00:00.000Z",
"updated_at": "2021-01-06T20:00:00.000Z",
"request_id": "4c86c85d-0651-43e2-a748-d69d658418e8",
"user_id": "c86c85d-0651-43e2-a748-d69d658418e8",
"comment": "This is a comment."
}
],
"reviewer_stages": [
{
"requestedRoleName": "Admin",
"requestedItemName": "AWS Production Account",
"stages": [
{
"stage": 1,
"operator": "AND",
"reviewers": [
{
"id": "7c86c85d-0651-43e2-a748-d69d658418e8",
"status": "PENDING"
}
]
},
{
"stage": 2,
"operator": "OR",
"reviewers": [
{
"id": "8d86c85d-0651-43e2-a748-d69d658418e9",
"status": "APPROVED"
}
]
}
]
}
]
}Cancels a pending access request.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the request to cancel.
Response
The canceled request.
Request Object
Description
The Request object is used to represent a request.
Usage Example
Returned from the GET Requests endpoint.
The unique identifier of the request.
"7c86c85d-0651-43e2-a748-d69d658418e8"
The date and time the request was created.
"2021-01-06T20:00:00.000Z"
The date and time the request was last updated.
"2021-01-06T20:00:00.000Z"
The unique identifier of the user who created the request.
"7c86c85d-0651-43e2-a748-d69d658418e8"
The status of the request.
PENDING, APPROVED, DENIED, CANCELED "pending"
The reason for the request.
"I need access to the AWS account."
The unique identifier of the user who is the target of the request.
"7c86c85d-0651-43e2-a748-d69d658418e8"
The unique identifier of the group who is the target of the request.
"7c86c85d-0651-43e2-a748-d69d658418e8"
The duration of the request in minutes.
120
The list of targets for the request.
Show child attributes
Show child attributes
The responses given to the custom fields associated to the request
Show child attributes
Show child attributes
The stages configuration for this request
Show child attributes
Show child attributes
The configured reviewer stages for every item in this request, or an error message if reviewers could not be loaded
Show child attributes
Show child attributes
Was this page helpful?